Package: org.grails.databinding.compiler

## [Java] Class BindingFormatASTTransformation

- org.grails.databinding.compiler.BindingFormatASTTransformation

- All Implemented Interfaces and Traits:
    org.codehaus.groovy.transform.ASTTransformation

      @org.codehaus.groovy.transform.GroovyASTTransformation(phase = CompilePhase.SEMANTIC_ANALYSIS)
      public class BindingFormatASTTransformation
      extends java.lang.Object
      implements org.codehaus.groovy.transform.ASTTransformation

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `error(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ASTNode astNode, java.lang.String message)`
    `` | `public void` | `visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Method Detail

    - #### protected void error(org.codehaus.groovy.control.SourceUnit sourceUnit, org.codehaus.groovy.ast.ASTNode astNode, java.lang.String message)

    - #### @java.lang.Override public void visit(org.codehaus.groovy.ast.ASTNode[] astNodes, org.codehaus.groovy.control.SourceUnit source)